// Copyright (C) 2018 Avatao.com Innovative Learning Kft.
// All Rights Reserved. See LICENSE file for details.

import { WebSocketMessage } from './websocket-message';

export interface MessageConfig extends WebSocketMessage {
  originator?: string;
}

export interface MessageMetadata {
  originator?: string;
  timestamp?: Date;
}

export interface MessageData extends MessageMetadata {
  message: string;
}

export interface Message extends MessageData, WebSocketMessage {}

export interface MessageQueue extends WebSocketMessage {
    value: Array<MessageData>;
}
