// Copyright (C) 2018 Avatao.com Innovative Learning Kft.
// All Rights Reserved. See LICENSE file for details.

import { SetValueCommand } from './set-value-command';
import { WebSocketMessage } from './websocket-message';

export interface ConsoleReadMessage extends WebSocketMessage {}

export interface ConsoleWriteMessage extends WebSocketMessage {
  value: string;
}

export interface ConsoleLiveLogsMessage extends WebSocketMessage, SetValueCommand<boolean> {}

export interface ConsoleRewriteContentMessage extends WebSocketMessage, SetValueCommand<string> {}
